// グローバル変数の定義
var map = null ;		// 地図のインスタンス

// 地図の出力
function initialize()
{
	/* 変数の定義 */ 
	var canvas , latlng , mapOptions ;

	/* キャンパスの要素[<div id="map-canvas"></div>]を取得する */
	canvas = document.getElementById( 'map-canvas' );

	/* 中心座標を、LatLngクラスで用意する */
	latlng = new google.maps.LatLng( 35.2477839,136.0689719 );

	/* Mapクラスのオプションを設定する */
	mapOptions = {
		zoom: 15 ,				//ズーム値
		center: latlng ,		//中心座標 [LatLngクラスで指定]
		overviewMapControl: true ,		// オーバービューマップコントロール
		overviewMapControlOptions: { opened: true } ,		// オーバービューマップコントロールの初期状態
	} ;

	/* Mapクラスのインスタンスを作成する */
	map = new google.maps.Map( canvas , mapOptions ) ;

}

/* ページのロード後に関数[initialize()]を実行する */
google.maps.event.addDomListener( window , 'load' , initialize ) ;